> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegisintent.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Swap Assets

> Swap between USDC, EURC, and cirBTC directly inside the secure Developer-Controlled Wallet via Circle App Kit.

Swap stablecoin values (USDC and EURC) directly inside the secure DCW.


## OpenAPI

````yaml POST /v1/actions/swap
openapi: 3.1.0
info:
  title: Aegis Secure API
  description: >-
    Zero-trust API for Developer-Controlled Wallets (DCW) and programmatic
    Policy Engine controls.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.aegisintent.xyz
    description: Production API Server
security: []
paths:
  /v1/actions/swap:
    post:
      tags:
        - Actions API
      summary: Execute Swap
      description: >-
        Swap between USDC, EURC, and cirBTC directly inside the secure
        Developer-Controlled Wallet via Circle App Kit.
      parameters:
        - name: X-Aegis-Email
          in: header
          required: true
          schema:
            type: string
          description: Agent email address
        - name: Idempotency-Key
          in: header
          required: true
          schema:
            type: string
          description: Unique UUID v4 for idempotency
        - name: X-Aegis-Nonce
          in: header
          required: true
          schema:
            type: integer
          description: Current agent action nonce
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - tokenIn
                - tokenOut
                - amount
              properties:
                tokenIn:
                  type: string
                  enum:
                    - USDC
                    - EURC
                    - cirBTC
                  description: Input token
                tokenOut:
                  type: string
                  enum:
                    - USDC
                    - EURC
                    - cirBTC
                  description: Output token
                amount:
                  type: string
                  description: Swap amount as a decimal string with up to 6 decimals
                slippageBps:
                  type: integer
                  minimum: 0
                  maximum: 500
                  description: Optional slippage in basis points
      responses:
        '200':
          description: Asset swap executed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  txHash:
                    type: string
      security:
        - BearerAuth: []
        - AegisEmail: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Provide raw API session token issued by `/v1/connect/complete`
    AegisEmail:
      type: apiKey
      in: header
      name: X-Aegis-Email
      description: Dual-header token holder identity confirmation

````